# ApplicationFramework
TKPShape
PGeom

# PGeom_BoundedCurve Class Reference

`#include <PGeom_BoundedCurve.hxx>`

Inheritance diagram for PGeom_BoundedCurve:

[legend]

## Public Member Functions

| PGeom_BoundedCurve (const Storage_stCONSTclCOM &a)
| PGeom_BoundedCurve ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

PGeom_BoundedCurve::PGeom_BoundedCurve | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

PGeom_BoundedCurve::PGeom_BoundedCurve | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT const PGeom_BoundedCurve::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PGeom_Curve. Reimplemented in PGeom_BezierCurve, PGeom_BSplineCurve, and PGeom_TrimmedCurve.

The documentation for this class was generated from the following file:

- PGeom_BoundedCurve.hxx